aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pound/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-04 10:44:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-04 10:44:58 +0000
commitd953a0ff60a3919eb863503f7bcbd02df759b37d (patch)
tree29e1ceb9af930fe51c992cc389b533ca7d8c6bfb /testing/pound/APKBUILD
parent8cf1af06683a2eb5eb83f35b89cad717432d3230 (diff)
downloadaports-d953a0ff60a3919eb863503f7bcbd02df759b37d.tar.gz
aports-d953a0ff60a3919eb863503f7bcbd02df759b37d.tar.bz2
aports-d953a0ff60a3919eb863503f7bcbd02df759b37d.tar.xz
testing/pound: new aport
A reverse proxy, load balancer, and SSL wrapper http://www.apsis.ch/pound/index_html
Diffstat (limited to 'testing/pound/APKBUILD')
-rw-r--r--testing/pound/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/pound/APKBUILD b/testing/pound/APKBUILD
new file mode 100644
index 0000000000..058d7f3748
--- /dev/null
+++ b/testing/pound/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pound
+pkgver=2.4.5
+pkgrel=0
+pkgdesc="A reverse proxy, load balancer, and SSL wrapper"
+url="http://www.apsis.ch/pound/index_html"
+license="GPL"
+depends=
+makedepends="pcre-dev openssl-dev"
+subpackages="$pkgname-doc"
+source="http://www.apsis.ch/$pkgname/Pound-$pkgver.tgz
+ pound.cfg
+ $pkgname.initd"
+
+_builddir="$srcdir"/Pound-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr --sysconfdir=/etc/pound
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -d "$pkgdir"/usr/sbin
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm755 "$srcdir"/pound.initd "$pkgdir"/etc/init.d/pound
+ install -Dm644 "$srcdir"/pound.cfg "$pkgdir"/etc/pound.cfg
+}
+md5sums="4c4613e857ee14c06c61ab09e28ae503 Pound-2.4.5.tgz
+736b12a47acbb7fc2802ed7f51e959d0 pound.cfg
+074fc58c89bb70e8fcd767ee70ebd0f0 pound.initd"